com.taosdata.jdbc.utils

## Class HttpClientPoolUtil

- java.lang.Object
- - com.taosdata.jdbc.utils.HttpClientPoolUtil

    public class HttpClientPoolUtil
    extends Object

### Field Summary

Fields
`static String` `DEFAULT_HTTP_KEEP_ALIVE`
`static String` `DEFAULT_MAX_PER_ROUTE`

### Constructor Summary

Constructors
Constructor and Description
`HttpClientPoolUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `execute(String uri)` execute GET request
`static String` `execute(String uri, String data, String token)` execute POST request
`static void` `init(Integer connPoolSize, boolean keepAlive)`
`static void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_HTTP_KEEP_ALIVE

    public static final String DEFAULT_HTTP_KEEP_ALIVE

See Also:
  Constant Field Values

#### DEFAULT_MAX_PER_ROUTE

    public static final String DEFAULT_MAX_PER_ROUTE

See Also:
  Constant Field Values

### Constructor Detail

#### HttpClientPoolUtil

    public HttpClientPoolUtil()

### Method Detail

#### init

    public static void init(Integer connPoolSize,
                            boolean keepAlive)

#### execute

    public static String execute(String uri)
                          throws SQLException

execute GET request

Throws:
  `SQLException`

#### execute

    public static String execute(String uri,
                                 String data,
                                 String token)
                          throws SQLException

execute POST request

Throws:
  `SQLException`

#### reset

    public static void reset()